Bug 32555 - [Patch] Problems editing documents
Summary: [Patch] Problems editing documents
Status: RESOLVED INVALID
Alias: None
Product: Lenya
Classification: Unclassified
Component: Form Editor (show other bugs)
Version: Trunk
Hardware: Other AIX
: P1 normal
Target Milestone: 1.2.1
Assignee: Lenya Developers
URL:
Keywords: PatchAvailable
Depends on:
Blocks:
 
Reported: 2004-12-07 05:50 UTC by Doug Chestnut
Modified: 2007-07-16 03:05 UTC (History)
1 user (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Doug Chestnut 2004-12-07 05:50:53 UTC
Index: edit-document.js
===================================================================
--- edit-document.js    (revision 109934)
+++ edit-document.js    (working copy)
@@ -40,6 +40,7 @@
     try {
         var flowHelper = new FlowHelper();
         var resolver = cocoon.getComponent(SourceResolver.ROLE);
+
         var dstUri =
flowHelper.getPageEnvelope(cocoon).getDocument().getSourceURI();
         
         SourceUtil.copy(resolver, cocoon.parameters["sourceUri"], dstUri,
_getParameter("useBuffer", "false") == "true");
@@ -56,7 +57,9 @@
             cocoon.redirectTo(_getParameter("redirectUrl", "FIXME"));
         
     } catch (exception) {
+
         cocoon.log.error("Can not edit document.", exception.toString());
+
     } finally {
         if(resolver != null)
             cocoon.releaseComponent(resolver);
Comment 1 Andreas Kuckartz 2004-12-07 08:56:02 UTC
Added dev@lenya.apache.org to CC-list.
Comment 2 Andreas Kuckartz 2004-12-07 09:00:16 UTC
Not sure if that patch applies to 1.4 and 1.2.1.
Comment 3 Rolf Kulemann 2004-12-07 10:46:21 UTC
I can not seee what this patch does at all, since only empty lines are added.
However, can someone please add a bug description? I want to reproduce the problem